#include "dummyTag.h"

static const char* DummyCueSheet = "FILE \"CDImage.wav\" WAVE\n"
                                   "  TRACK 01 AUDIO\n"
								   "  INDEX 01 00:00:00\n";

static void* OpenTag(HANDLE hFile){
	return (void*)DummyCueSheet;
}

static DWORD GetFieldNumber(void* tag){
	return 1;
}

static char* GetFieldName(void* tag,int index){
	return "cuesheet";
}

static BYTE* GetFieldValue(void* tag,int index,LPDWORD vSize){
	if(vSize){*vSize = strlen(DummyCueSheet);}
	return (BYTE*)DummyCueSheet;
}

static CueCharset GetFieldCharset(void* tag,int index){
	return CUECHAR_UTF8;
}

static void CloseTag(void*tag){
	return;
}

const TAG_READER_INTERFACE dummyIF = {OpenTag, GetFieldNumber, GetFieldName, GetFieldValue, GetFieldCharset, CloseTag};
