#ifndef HEADER_TAG_READER_INTERFACE
#define HEADER_TAG_READER_INTERFACE

#include <windows.h>
typedef enum {CUECHAR_DEFAULT,CUECHAR_UTF8,CUECHAR_UTF16LE,CUECHAR_UTF16BE,CUECHAR_NA} CueCharset;

typedef struct{
	void* (*OpenTag)(HANDLE hFile);
	DWORD (*GetFieldNumber)(void* tag);
	char* (*GetFieldName)(void* tag,int index);
	BYTE* (*GetFieldValue)(void* tag,int index,LPDWORD vSize);
	CueCharset (*GetFieldCharset)(void* tag,int index);
	void  (*CloseTag)(void* tag);

} TAG_READER_INTERFACE;

#endif