
#ifndef TAG_WRAPPER
#define TAG_WRAPPER
#include <windows.h>
#include "tagReaderInterface.h"

typedef void*PCUE_OBJECT;

PCUE_OBJECT CueOpen(HANDLE hFile);
BOOL CueReadFile(PCUE_OBJECT cueobj,void* buffer,size_t size,LPDWORD read);
BOOL CueSeekFile(PCUE_OBJECT cueobj, size_t pos);
CueCharset CueGetCharset(PCUE_OBJECT cueobj);
BYTE* CueGetTag(PCUE_OBJECT cueobj,int index,const char* field,LPDWORD size);
void CueClose(PCUE_OBJECT cueobj);
#endif